import { FormElement, FormHook } from "../../features/form-hook/index";
export declare class FormStepper implements FormElement {
    name?: string;
    language?: string;
    wrapperId: string;
    form: FormHook<any>;
    wrapperClass: string;
    reset: (newValue?: unknown) => void;
    private container?;
    private line?;
    private resizeObserver?;
    componentDidLoad(): void;
    disconnectedCallback(): Promise<void>;
    onLanguageUpdate(): Promise<void>;
    updateLine: () => void;
    render(): any;
}
